aboutsummaryrefslogtreecommitdiff
path: root/scripts/util/power
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/util/power')
-rwxr-xr-xscripts/util/power16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/util/power b/scripts/util/power
new file mode 100755
index 0000000..ce9a8f5
--- /dev/null
+++ b/scripts/util/power
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+
+case "$(readlink -f /sbin/init)" in
+ *systemd*) ctl='systemctl' ;;
+ *) ctl='loginctl' ;;
+esac
+
+case "$(printf " reboot\n shutdown\n sleep\n lock\n kill dwm\n" | dmenu -i -p 'Action: ')" in
+ ' lock') slock ;;
+ ' leave dwm') kill -TERM "$(pgrep -u "$USER" "\bdwm$")" ;;
+ ' sleep') slock $ctl suspend ;;
+ ' reboot') /bin/reboot ;;
+ ' shutdown') /bin/shutdown -h now ;;
+ *) exit 1 ;;
+esac